/*

  NRF24L01 Module (Sender)

  Parts required:
  - Arduino Board
  - Breadboard
  - NRF24L01 

  Libraries required:
  - RF24 version 1.3.4 or later

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 14 May 2020
  Version : v1.0

*/

#include <SPI.h>                      // include SPI library
#include <nRF24L01.h>                 // include nRF24L01 library
#include <RF24.h>                     // include RF24 library

RF24 radio(7, 8);                     // set RF24 Chip enable to port 7 and SPI chip select
const byte address[6] = "00001";      // set variable address as byte and store 00001

int state = 0;                        // set state variable to 0

void setup() {
  radio.begin();                      // start radio communication via NRF24L01
  radio.openWritingPipe(address);     // set the address at which we will send the data
  radio.setPALevel(RF24_PA_MIN);      // set this as minimum or maximum depending on the distance between the transmitter and receiver.
  radio.stopListening();              // stop NRF24L01 for listening and start the module as receiver
}

void loop()
{
  state = 0;                          // set state to 0
  radio.write(state, sizeof(1));      // send state to receiver
  delay(1000);                        // wait 1000ms

  state = 1;                          // set state to 1
  radio.write(state, sizeof(1));      // send state to receiver
  delay(1000);                        // wait 1000ms
}
